import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Piece here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Piece  extends SActor
{
    public static final int RED = 1;
    public static final int GREEN = 2;
    
    private int color;
    
    private GreenfootImage finalImage;
    private int radius=2;
    private final int finalRadius = 20;
    
    public Piece(int color) {
        this.color = color;
        
        switch (color) {
            case 1: finalImage = new GreenfootImage("red.png");
                break;
            default: finalImage = new GreenfootImage("green.png");
        }
    }
    
    public void act() {
        if (radius != finalRadius) {
            enter();
        }
    }
    
    public void enter() {
        GreenfootImage g = new GreenfootImage(finalImage);
        g.scale(radius*2, radius*2);
        setImage(g);
        radius += 1;
        if (radius == 20) {
            setImage(finalImage);
        }
    }
    public boolean isRadiusComplete() {
        if (radius == 20) {
            return true;
        }
        return false;
    }
}
