import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class AI here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public abstract class AI extends Thread {
    volatile static boolean madeMove = false;
    volatile static int move = -1;
    
    protected int local_WID;
    
    int player;
    Board board;
    public AI(int player, Board board, myWorld world) {
        this.player = player;
        this.board = board;
        local_WID = world.GLOBAL_WID;
    }
    //public abstract Move generateMove(int player, Board board);
    public abstract int generateMove(int player, Board board);
    
    public void run() {
        System.out.println("Started AI Thread with WorldID: " + local_WID);
        move = generateMove(player, board);
        
        //if this thread was not terminated properly,
        if (local_WID != myWorld.GLOBAL_WID) {
            System.out.println("Ended AI Thread with WorldID: " + local_WID 
                + " Current WorldID: " + myWorld.GLOBAL_WID);
            return;
        }
            
        madeMove = true;
        System.out.println("Ended AI Thread with WorldID: " + local_WID 
            + " Current WorldID: " + myWorld.GLOBAL_WID);
    }
}
